/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.equinox.log.bridge.internal;

import org.osgi.framework.BundleEvent;
import org.osgi.framework.SynchronousBundleListener;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @author Raymond Augé
 */
public class BundleStartStopLogger implements SynchronousBundleListener {

	@Override
	public void bundleChanged(BundleEvent bundleEvent) {
		if (!_log.isInfoEnabled()) {
			return;
		}

		if (bundleEvent.getType() == BundleEvent.STARTED) {
			_log.info("STARTED {}", bundleEvent.getBundle());
		}
		else if (bundleEvent.getType() == BundleEvent.STOPPED) {
			_log.info("STOPPED {}", bundleEvent.getBundle());
		}
	}

	private static final Logger _log = LoggerFactory.getLogger(
		BundleStartStopLogger.class);

}